spring:
  http:
    encoding:
      charset: UTF-8
      enabled: true
      force: true
  servlet:
    multipart:
      max-file-size: 10MB
      max-request-size: 50MB
  cloud:
    loadbalancer:
      retry:
        enabled: false
  freemarker:
    charset: UTF-8
    suffix: .html
    template-loader-path: classpath:/static/
#  rabbitmq:
#    host: 10.20.72.34
#    port: 5672
#    username: root
#    password: 123456
##    addresses: 127.0.0.1
##    port: 5672
##    username: guest
##    password: guest
#    virtual-host: /
#    connection-timeout: 8000
#    #消息确认机制
#    publisher-confirms: true
#    #每条消息必须手工确认
#    listener:
#      simple:
#        acknowledge-mode: manual #手工签收
#    #消息返回机制
#    publisher-returns: true
#    template:
#      mandatory: true
  mvc:
    async:
      request-timeout: 60000
  redis:
    host: 10.20.2.33
#    host: 47.94.207.62
    port: 6379
    password:
    jedis:
      pool:
        max-active: 1024
        # 连接池最大阻塞等待时间（使用负值表示没有限制）
        max-wait: 10000
        # 连接池中的最大空闲连接
        max-idle: 200
        # 连接池中的最小空闲连接
        min-idle: 0
    timeout: 5000
    open: true
    #durid configuration
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.jdbc.Driver
#    url:  jdbc:mysql://localhost:3306/energy?useUnicode=true&characterEncoding=utf-8&autoReconnect=true&allowMultiQueries=true&serverTimezone=GMT%2B8&useSSL=false
#    username: root
#    password: 123456
#    url:  jdbc:mysql://47.94.207.62:3306/energy?useUnicode=true&characterEncoding=utf-8&autoReconnect=true&allowMultiQueries=true&serverTimezone=GMT%2B8&useSSL=false
#    username: root
#    password: superAdmin&321
    url:  jdbc:mysql://10.20.2.33:3306/energy?useUnicode=true&characterEncoding=utf-8&autoReconnect=true&allowMultiQueries=true&serverTimezone=GMT%2B8&useSSL=false
    username: root
    password: root
    initialSize: 5
    minIdle: 0
    maxActive: 1000
    maxWait: -1
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 1800000
    validationQuery: SELECT 1 FROM DUAL
    testWhileIdle: true
    testOnBorrow: false
    testOnReturn: false
    poolPreparedStatements: true
    maxPoolPreparedStatementPerConnectionSize: 20
    filters: log4j,wall,mergeStat,config  #不能跟proxyFilters同时使用
    #    proxyFilters : WallFilter  #为了批量跟新添加定制Filters
    connectionProperties: config.decrypt=false
    removeAbandoned: true
    druid.removeAbandonedTimeout: 600


eureka:
  client:
    fetch-registry: true
    registry-fetch-interval-seconds: 8
    healthcheck:
      enabled: false
    serviceUrl:
      defaultZone: http://user:password123@eureka:8762/eureka
  instance:
    lease-renewal-interval-in-seconds: 4
    lease-expiration-duration-in-seconds: 12
    prefer-ip-address: true
    instance-id: ${spring.cloud.client.ip-address}:${spring.application.instance_id:${server.port}}

server:
  tomcat:
    uri-encoding: UTF-8
    max-threads: 100
    min-spare-threads: 20
    basedir: /tmp/tomcat
  connection-timeout: 50000
ribbon:
  hystrix:
    enabled: false
  MaxAutoRetries: 0
  MaxAutoRetriesNextServer: 0
  ReadTimeout: 200000
  ConnectTimeout: 90000
  SocketTimeout: 90000
logging:
  file: ${spring.application.name}.log
  level:
    root: INFO
    com:
      devplatform: DEBUG
    jdbc.sqltiming: DEBUG
feign:
  hystrix:
    enabled: false



management:
  endpoints:
    web:
      exposure:
        include: "health, info, mappings, metrics, loggers, shutdown, pause, resume"
  endpoint:
    health:
      show-details: ALWAYS

mybatis:
  mapper-locations: classpath:com/devplatform/*/mybatis/*.xml

hystrix:
  command:
    default:
      execution:
        timeout:
          enabled: true
        isolation:
          thread:
            timeoutInMilliseconds: 300000

#-------
